/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package chatProg.logger;


import chatProg.logger.MyFormatter;
import java.io.File;
import java.io.IOException;
import java.util.logging.*;



/**
 *
 * @author chris, hd
 */
public class OhmLogger
{
  public OhmLogger()
  {
  }
  private static Logger lg = null;
  public static Logger getLogger()
  {
    if (lg == null)
    {
      lg = Logger.getLogger("OhmLogger");
      initLogger();
    }
    return lg;
  }
  
  private static void initLogger()
  {
    try{
      String datei = System.getProperty("java.io.tmpdir") + File.separator + "log.txt";
      FileHandler fh = new FileHandler(datei);
      ConsoleHandler ch = new ConsoleHandler();
      lg.addHandler(fh);
      ch.setFormatter(new MyFormatter());
      lg.setUseParentHandlers(false);
      lg.addHandler(ch);
      lg.setLevel(Level.ALL);
      
    }
    catch(IOException ioex)
    {
      System.err.println(ioex);
    }
  }
}
